<!DOCTYPE html> 
<html lang ="en">
    <head>
        <meta charset ="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" type="text/css" href="/css/gral.css">
        <link rel="stylesheet" type="text/css" href="/css/cart.css">
        <link rel="stylesheet" type="text/css" href="/css/cart2.css">
        <link href="https://fonts.googleapis.com/css?family=Great+Vibes|Lemonada&display=swap" rel="stylesheet">
        <title>Taitava tonttu - Ostoskori</title>
    </head> 
    <body>
        <header>
            <% if (user) { %>
                <% include inMenu.ejs %>
            <% } else { %>
                <% include outMenu.ejs %>
            <% } %>
        </header>
        <main>
        <div class="cart">
            <div class="warning">
            <p>HUOM! Kaikki tuotteet tehdään pyydettäessä.<br />
                Valmistusaika riipuu sinun tilauksesi koosta.</p>
            </div>
            <% if (result === null) { %>
                <% include outCart.ejs %>
            <% } else { %>
                <form class="cartBox emptyBox" action="/cart/emptyCart" method="POST">
                    <div class="emptyCart">
                        <input type="submit" value="Tyhjennä ostokorini">
                    </div>
                </form>  
                <% for (let i = 0; i < result.products.length; i++) { %>
                    <form class="cartBox productBox" action="/cart/delete" method="POST">
                        <div class="photo">
                            <input type="hidden" name="photo" value="<%= result.products[i].photo %>"><img src="../images/products/<%= result.products[i].photo %>.jpg">
                        </div>
                        <div class="info">
                            <div class="product">
                                <h4><input type="hidden" name="productName" value="<%= result.products[i].productName %>"><%= result.products[i].productName %></h4>
                                <p><input type="hidden" name="price" value="<%= result.products[i].price %>"><%= result.products[i].price %></p>
                            </div>
                            <div class="color">
                                <p><input type="hidden" name="colors" value="<%= result.products[i].colors %>"><%= result.products[i].colors %></p>
                            </div>
                            <div class="other">
                                <div class="quantity">
                                    <p><input type="hidden" name="quantity" value="<%= result.products[i].quantity %>">Määrä: <%= result.products[i].quantity %></p>
                                </div>
                                <div class="indPrice">
                                    <% let indPrice = result.products[i].price.split("€", 1).pop(); %>
                                    <% let quantity = result.products[i].quantity; %>
                                    <p>Hinta: <%= indPrice * quantity %>€</p>
                                </div>
                            </div>
                        </div>
                        <div class="delete">
                            <p><input type="submit" name="delete <%= i %>" value="Poista"></p>
                        </div>             
                    </form>
                <% } %>
                    <form class="cartBox finalBox" action="/cart/checkout" method="POST">
                        <div class="finalParent">
                            <div class="final">
                                <p>Lopullinen hinta: </p>
                            </div>
                            <div class="finalPrice">
                                <% let total = 0; %>
                                <% for (let k=0; k < result.products.length; k++) { %>
                                    <% total += result.products[k].price.split("€")[0]*result.products[k].quantity; %>
                                <% } %>
                                <p><input type="hidden" name="finalPrice" value="<%= total %>€"><%= total %>€ </p>
                            </div>
                        </div>
                        <div class="checkout">
                            <input type="submit" value="Mene kassaan">
                        </div>
                    </form>
            <% } %>
        </div>
        </main>
        <% if (result === null) { %>
            <script src="../js/cartScripts.js"></script>
        <% } %>
    </body>
</html> 